Skip to main content
PATCH
/
startup_scripts
/
{script_id}
Update Startup Script
curl --request PATCH \
  --url https://api.cloud.onidel.com/startup_scripts/{script_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Script Name",
  "content": "#!/bin/bash\napt-get update && apt-get install -y nginx certbot",
  "team_id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac"
}
'

Authorizations

Authorization
string
header
required

Provide the value as: Token <your-api-token>

Path Parameters

script_id
string<uuid>
required

Startup Script UUID

Body

application/json
name
string
required
Example:

"Updated Script Name"

content
string
required
Example:

"#!/bin/bash\napt-get update && apt-get install -y nginx certbot"

team_id
string<uuid>
Example:

"c1d45377-b2a9-4407-ab8d-6909c34dfaac"

Response

Startup script updated successfully